Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit::pdf::SignatureVerifyResult Class Reference
Inheritance diagram for foxit::pdf::SignatureVerifyResult:

## Public Types
enum | LTVState { e_LTVStateInactive = 0, e_LTVStateEnable = 1, e_LTVStateNotEnable = 2 }
| Enumeration for LTV state that indicates if a signature is a LTV signature. More...

## Public Member Functions
| SignatureVerifyResult (const SignatureVerifyResult &other)
| Constructor, with another signature veirfy result object. More...
| ~SignatureVerifyResult ()
| Destructor.
CertVerifyResultArray | GetCertificateVerifyResults ()
| Get certificate verify results. More...
LTVState | GetLTVState ()
| Get LTV state that indicates if a signature is a LTV signature. More...
SignatureVerifyResultArray | GetOCSPSigantureVerifyResults ()
| Get signature verify results for OCSP signature of each certificate. More...
DateTime | GetSignatureCheckTime ()
| Get the time that is actually used to check signature. More...
LTVVerifier::TimeType | GetSignatureCheckTimeType ()
| Get the type of the time that is actually used to check siganture. More...
String | GetSignatureHashValue ()
| Get signature hash value. More...
String | GetSignatureName ()
| Get signature name. More...
uint32 | GetSignatureState ()
| Get signature state. More...
SignatureVerifyResult | GetTSTSignatureVerifyResult ()
| Get the verify result of time stamp token of this signature. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator != (const SignatureVerifyResult &other) const
| Not equal operator. More...
SignatureVerifyResult & | operator= (const SignatureVerifyResult &other)
| Assign operator. More...
bool | operator== (const SignatureVerifyResult &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents signature verify result.

## Member Enumeration Documentation

## ◆ LTVState

enum foxit::pdf::SignatureVerifyResult::LTVState

Enumeration for LTV state that indicates if a signature is a LTV signature.

Values of this enumeration should be used alone.

Enumerator
e_LTVStateInactive | This means LTV is inactive.
e_LTVStateEnable | This means LTV is enabled.
e_LTVStateNotEnable | This means LTV is not enabled.

## Constructor & Destructor Documentation

## ◆ SignatureVerifyResult()

foxit::pdf::SignatureVerifyResult::SignatureVerifyResult | ( | const SignatureVerifyResult & | other | ) |

Constructor, with another signature veirfy result object.

Parameters

  [in] | other | Another signature veirfy result object.

## Member Function Documentation

## ◆ GetCertificateVerifyResults()

CertVerifyResultArray foxit::pdf::SignatureVerifyResult::GetCertificateVerifyResults | ( |  | ) |

Get certificate verify results.

Returns
  An array of certificate verify results.

## ◆ GetLTVState()

LTVState foxit::pdf::SignatureVerifyResult::GetLTVState | ( |  | ) |

Get LTV state that indicates if a signature is a LTV signature.

Returns
  LTV state.

## ◆ GetOCSPSigantureVerifyResults()

SignatureVerifyResultArray foxit::pdf::SignatureVerifyResult::GetOCSPSigantureVerifyResults | ( |  | ) |

Get signature verify results for OCSP signature of each certificate.

Returns
  An array of signature verify results.

## ◆ GetSignatureCheckTime()

DateTime foxit::pdf::SignatureVerifyResult::GetSignatureCheckTime | ( |  | ) |

Get the time that is actually used to check signature.

Returns
  The time that is actually used to check signature. utc_hour_offset and utc_minite_offset of this time would be ignored.

## ◆ GetSignatureCheckTimeType()

LTVVerifier::TimeType foxit::pdf::SignatureVerifyResult::GetSignatureCheckTimeType | ( |  | ) |

Get the type of the time that is actually used to check siganture.

Returns
  Time type. Please refer to values starting from LTVVerifier::e_SignatureCreationTime and this would be one of these values

## ◆ GetSignatureHashValue()

String foxit::pdf::SignatureVerifyResult::GetSignatureHashValue | ( |  | ) |

Get signature hash value.

Returns
  Signature hash value.

## ◆ GetSignatureName()

String foxit::pdf::SignatureVerifyResult::GetSignatureName | ( |  | ) |

Get signature name.

Returns
  Signature name.

## ◆ GetSignatureState()

uint32 foxit::pdf::SignatureVerifyResult::GetSignatureState | ( |  | ) |

Get signature state.

Returns
  Signature state. Please refer to values starting from Signature::e_StateUnknown and this would be one or combination of them.

## ◆ GetTSTSignatureVerifyResult()

SignatureVerifyResult foxit::pdf::SignatureVerifyResult::GetTSTSignatureVerifyResult | ( |  | ) |

Get the verify result of time stamp token of this signature.

Returns
  Verify result of time stamp token of the signature. If the signature does not have any time stamp token, returned object would be an empty object which can be checked by function SignatureVerifyResult::IsEmpty.

## ◆ IsEmpty()

bool foxit::pdf::SignatureVerifyResult::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator !=()

bool foxit::pdf::SignatureVerifyResult::operator != | ( | const SignatureVerifyResult & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another signature veirfy result object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

SignatureVerifyResult& foxit::pdf::SignatureVerifyResult::operator= | ( | const SignatureVerifyResult & | other | ) |

Assign operator.

Parameters

  [in] | other | Another signature veirfy result object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::SignatureVerifyResult::operator== | ( | const SignatureVerifyResult & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another signature veirfy result object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.